> For the complete documentation index, see [llms.txt](https://docs.swivel.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swivel.finance/swivel-v2.0.0/litepaper/money-market-vaults/exiting-selling-notional.md).

# Exiting/Selling nTokens

As with zcTokens, as rates fluctuate, active market participants require the ability to fluidly move in and out of nToken positions. To facilitate this market participation, Swivel provides the ability to exit/sell nTokens on our orderbook.&#x20;

Selling nTokens to an initiating counterparty:

**Bob has 1000 nUSDC.**\
**Bob fills Charlie's order for 1000 nUSDC, and in return receives 50 USDC.**\
**This leaves Bob with 50 USDC + any accrued interest.**

![Selling nTokens to an initiating nToken counterparty](/files/-Md-yoLF4rNrvEgkzKYs)

nTokens can also be sold to counterparties redeeming their zcTokens early:

**Bob has 1000 nUSDC.**\
**Bob fills Alice's order, selling Alice 1000 nTokens.**\
**Alice redeems 1000 zcUSDC + 1000 nUSDC for 1000 USDC and then pays Bob 50 USDC.**\
**This leaves Bob with 50 USDC + any accrued interest.**

![Selling nTokens to an exiting zcToken counterparty](/files/-McumIYiNN9vcOFXwnAn)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.swivel.finance/swivel-v2.0.0/litepaper/money-market-vaults/exiting-selling-notional.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
